﻿<config>
	<append xpath="/gameevents">
		<action_sequence name="IR_spawn_pettingzoo">
			<action class="SpawnEntity">
				<property name="entity_names" value="animalRabbit,animalChicken,animalStag,animalDoe,animalPig" />
				<property name="spawn_count" value="10" />
				<property name="safe_spawn" value="true" />
			</action>
			<action class="PlaySound">
				<property name="sound" value="twitch_good_spawn" />
				<property name="phase" value="1" />
			</action>
		</action_sequence>

		
		<action_sequence name="IR_the_whole_zoo">
			<action class="SpawnEntity">
				<property name="entity_names" value="animalRabbit,animalChicken,animalStag,animalDoe,animalPig" />
				<property name="spawn_count" value="10" />
			</action>
			<action class="SpawnEntity">
				<property name="entity_names" value="animalSnake,animalCoyote,animalZombieVulture,animalZombieVultureRadiated,animalBoar,animalZombieDog,animalWolf,animalMountainLion,animalDireWolf,animalBear,animalZombieBear" />
				<property name="spawn_count" value="10" />
			</action>
			<action class="PlaySound">
				<property name="sound" value="twitch_bad_spawn" />
				<property name="phase" value="1" />
			</action>
			<action class="PlaySound">
				<property name="sound" value="snakealert" />
				<property name="phase" value="1" />
			</action>
			<action class="PlaySound">
				<property name="sound" value="wolfalert" />
				<property name="phase" value="1" />
			</action>
			<action class="PlaySound">
				<property name="sound" value="vulturealert" />
				<property name="phase" value="1" />
			</action>
			<action class="PlaySound">
				<property name="sound" value="boaralert" />
				<property name="phase" value="1" />
			</action>
			<action class="PlaySound">
				<property name="sound" value="zombiedogalert" />
				<property name="phase" value="1" />
			</action>
			<action class="PlaySound">
				<property name="sound" value="wolfalert" />
				<property name="phase" value="1" />
			</action>
			<action class="PlaySound">
				<property name="sound" value="mlionalert" />
				<property name="phase" value="1" />
			</action>
			<action class="PlaySound">
				<property name="sound" value="bearalert" />
				<property name="phase" value="1" />
			</action>
		</action_sequence>


		<action_sequence name="IR_walk_it_off">	
			<action class="AddPartyToGroup">
				<property name="phase" value="0" />
				<property name="group_name" value="party" />
				<property name="twitch_negative" value="false" />
			</action>			
			<action class="PlaySound">
				<property name="sound" value="twitch_good_buff" />
				<property name="phase" value="1" />
				<property name="inside_head" value="true" />
				<property name="target_group" value="party" />
			</action>		
			<action class="PlaySound">
				<property name="phase" value="1" />
				<property name="sound" value="player_firstaidkit" />
				<property name="inside_head" value="true" />
				<property name="target_group" value="party" />
			</action>			
			<action class="AddBuff">
				<property name="phase" value="1" />
				<property name="buff_name" value="IR_walk_it_off" />
				<!--<property name="removes_buff" value="twitch_hurt" />-->
				<property name="target_group" value="party" />
			</action>			
		</action_sequence>


		<action_sequence name="IR_all_the_bandages">	
			<action class="AddPartyToGroup">
				<property name="phase" value="0" />
				<property name="group_name" value="party" />
				<property name="twitch_negative" value="false" />
			</action>			
			<action class="PlaySound">
				<property name="sound" value="twitch_good_buff" />
				<property name="phase" value="1" />
				<property name="inside_head" value="true" />
				<property name="target_group" value="party" />
			</action>		
			<action class="PlaySound">
				<property name="phase" value="1" />
				<property name="sound" value="player_bandage" />
				<property name="inside_head" value="true" />
				<property name="target_group" value="party" />
			</action>			
			<action class="AddBuff">
				<property name="phase" value="1" />
				<property name="buff_name" value="IR_all_the_bandages" />
				<!--<property name="removes_buff" value="twitch_hurt" />-->
				<property name="target_group" value="party" />
			</action>			
		</action_sequence>


		<action_sequence name="IR_all_the_pills">	
			<action class="AddPartyToGroup">
				<property name="phase" value="0" />
				<property name="group_name" value="party" />
				<property name="twitch_negative" value="false" />
			</action>			
			<action class="PlaySound">
				<property name="sound" value="twitch_good_buff" />
				<property name="phase" value="1" />
				<property name="inside_head" value="true" />
				<property name="target_group" value="party" />
			</action>		
			<action class="PlaySound">
				<property name="phase" value="1" />
				<property name="sound" value="player_painkillers" />
				<property name="inside_head" value="true" />
				<property name="target_group" value="party" />
			</action>			
			<action class="AddBuff">
				<property name="phase" value="1" />
				<property name="buff_name" value="IR_all_the_pills" />
				<!--<property name="removes_buff" value="twitch_hurt" />-->
				<property name="target_group" value="party" />
			</action>			
		</action_sequence>



	</append>
</config>